Create a reminder for a contact
curl --request POST \
--url https://your-instance.example.com/api/reminders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "65c2d0e0f0a0b0c0d0e0f0a0",
"note": "Follow up on demo booking",
"reminderDate": "2026-05-22T15:00:00.000Z",
"localTimestamp": "2026-05-22 11:00 EDT",
"channelType": "sms",
"phoneNumber": "+14155550123",
"contactName": "Jane Doe"
}
'import requests
url = "https://your-instance.example.com/api/reminders"
payload = {
"contactId": "65c2d0e0f0a0b0c0d0e0f0a0",
"note": "Follow up on demo booking",
"reminderDate": "2026-05-22T15:00:00.000Z",
"localTimestamp": "2026-05-22 11:00 EDT",
"channelType": "sms",
"phoneNumber": "+14155550123",
"contactName": "Jane Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '65c2d0e0f0a0b0c0d0e0f0a0',
note: 'Follow up on demo booking',
reminderDate: '2026-05-22T15:00:00.000Z',
localTimestamp: '2026-05-22 11:00 EDT',
channelType: 'sms',
phoneNumber: '+14155550123',
contactName: 'Jane Doe'
})
};
fetch('https://your-instance.example.com/api/reminders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Reminder created successfully",
"data": {
"_id": "65f0a0b0c0d0e0f0a0b0c0d0",
"contactId": "65c2d0e0f0a0b0c0d0e0f0a0",
"organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
"createdBy": "65b1f0a2c3d4e5f6a7b8c9d0",
"note": "Follow up on demo booking",
"reminderDate": "2026-05-22T15:00:00.000Z",
"channelType": "sms",
"fired": false,
"createdAt": "2026-05-18T12:00:00.000Z",
"updatedAt": "2026-05-18T12:00:00.000Z"
}
}{
"success": false,
"message": "Contact not found",
"error": "NOT_FOUND"
}{
"success": false,
"message": "Contact not found",
"error": "NOT_FOUND"
}{
"success": false,
"message": "Contact not found",
"error": "NOT_FOUND"
}Reminders
Create a reminder for a contact
Creates an unfired reminder for the given contact. reminderDate must parse to a valid future date. The reminder is scoped to the caller’s organization with createdBy set to the calling user.
POST
/
api
/
reminders
Create a reminder for a contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Reminder created successfully
Available options:
true Show child attributes
Show child attributes
Example:
{
"_id": "65f0a0b0c0d0e0f0a0b0c0d0",
"contactId": "65c2d0e0f0a0b0c0d0e0f0a0",
"organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
"createdBy": "65b1f0a2c3d4e5f6a7b8c9d0",
"note": "Follow up on demo booking",
"reminderDate": "2026-05-22T15:00:00.000Z",
"channelType": "sms",
"phoneNumber": "+14155550123",
"contactName": "Jane Doe",
"fired": false,
"createdAt": "2026-05-18T12:00:00.000Z",
"updatedAt": "2026-05-18T12:00:00.000Z"
}
⌘I